AltSportsData

Calculate SGP Probabilities

Calculate combined probabilities for multiple bets in a Same Game Parlay (SGP) for the event

POST
/api/v1/public/events/{eventId}/sgp

Authorization

X-API-KEY
X-API-KEY<token>

In: header

Path Parameters

eventId*string

The event ID of the event for which the SGP should be created

Request Body

application/json

Array of odd IDs to combine in the SGP

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/public/events/f1:bc8a2ac2-0111-4b99-b402-08a19a731eda/sgp" \  -H "Content-Type: application/json" \  -d '{    "selections": [      "selection-uuid-1",      "selection-uuid-2"    ]  }'
{
  "viggedProbability": 0.03930197804266736,
  "probability": 0.03340668133626725,
  "decimalOdds": 25.44
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}
{
  "stack": "string",
  "message": "Event not found",
  "metadata": {},
  "statusCode": 403,
  "timestamp": "2023-02-07T19:43:08.187Z"
}